MACOSX_SDK_VERSION:            # [osx and x86_64]
  - 11.0                       # [osx and x86_64]
# See https://docs.python.org/3.14/whatsnew/3.14.html#a-new-type-of-interpreter
c_compiler_version:    # [osx]
  - 20.1             # [osx]
cxx_compiler_version:  # [osx]
  - 20.1             # [osx]

# Override Python `zip_keys`
python:
  - 3.14
numpy:
  - 1.16
python_impl:
  - cpython
is_python_min:
  - no

# Whether to build free-threaded Python (3.13+)
freethreading:
  - yes
  - no

# Use Python RC components in build
channel_sources:
  - conda-forge/label/python_rc,conda-forge

# Configuration for debug and release builds
build_type:
  - release
  - debug                      # [not win]
channel_targets:
  - conda-forge main
  - conda-forge python_debug   # [not win]
zip_keys:
  - build_type
  - channel_targets
